Subject: Re: [RFC PATCH] format-patch: thread as reply to cover letter even with in-reply-to

From: Thomas Rast <[email-masked]>
Date: Tue, 17 Feb 2009 00:27:04 +0100

Jakub Narebski wrote:
> Thomas Rast <[email-masked]> writes:
> > Jay Soffian wrote:
> 
> > > I think this change may be okay, but I think to go with it the
> > > cover-letter and all the patches should have a "References:" header
> > > with the message-id given by --in-reply-to.
> > 
> > That's a completely separate issue.  I'm only proposing to change
> > what is formatted as a reply to what, the In-Reply-To and References
> > formatting is handled by the existing code.
[...]
> patches had both '--in-reply-to' message id AND cover letter id in
> "References:" header.  That would make for safer threading...

Oh, now I see what you meant.

It seems that right now, send-email appends the right references for
--thread mode, and format-patch only does the one-reference case.
I'll try and make a patch for that.

-- 
Thomas Rast
trast@{inf,student}.ethz.ch